package Fachada;

import Base.Cliente;
import Base.Endereco;
import Base.Fornecedor;
import Base.Peca;
import Base.Usuario;
import Colecao.ColecaoPeca;
import Excecoes.Excecao;
import Negocio.Negocio;

public class Fachada {
	
	Negocio negocio;

	public void efetuarLogin(String login, String senha) throws Excecao{
		negocio.efetuarLogin(login, senha);
	}
	public void alterarSenha(String login, String senha, String senha_nova) throws Excecao{
		negocio.alterarSenha(login, senha, senha_nova);
	}
	public void cadastrarUsuario(String login, String senha, String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String dataNasc, int tipo) throws Excecao{
		negocio.cadastrarUsuario(login, senha, nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc, tipo);
	}
	public void cadastrarCliente(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String dataNasc) throws Excecao{
		negocio.cadastrarCliente(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc);
	}
	public void cadastrarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String marca) throws Excecao{
		negocio.cadastrarFornecedor(nome, cnpj, cidade, bairro, rua, numero, cep, telefone,
				marca);
	}
	public void cadastrarPeca(String peca, String localizacao, int quantidade, double preco){
		negocio.cadastrarPeca(peca, localizacao, quantidade, preco);
	}
	public void removerUsuario(String cpf_cnpj){
		negocio.removerUsuario(cpf_cnpj);
	}
	public void removerCliente(String cpf){
		negocio.removerCliente(cpf);
	}
	public void removerFornecedor(String cnpj){
		negocio.removerFornecedor(cnpj);
	}
	public void removerPeca(int id){
		negocio.removerPeca(id);
	}
	public void atualizarUsuario(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String dataNasc, int tipo){
		negocio.atualizarUsuario(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc, tipo);
	}
	public void atualizarCliente(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String dataNasc){
		negocio.atualizarCliente(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
		dataNasc);
	}
	public void atualizarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String marca){
		negocio.atualizarFornecedor(nome, cnpj, cidade, bairro, rua, numero, cep, telefone,
				marca);
	}
	public void atualizarPeca(String peca, String localizacao, int quantidade, double preco){
		negocio.atualizarPeca(peca, localizacao, quantidade, preco);
	}
	Usuario consultarUsuario(String cpf){
		return negocio.consultarUsuario(cpf);
	}
	public Cliente consultarCliente(String cpf_cnpj){
		return negocio.consultarCliente(cpf_cnpj);
	}
	public Fornecedor consultarFornecedor(String cnpj){
		return negocio.consultarFornecedor(cnpj);
	}
	public Peca consultarPeca(int id){
		return negocio.consultarPeca(id);
	}
	public void comprarPeca(int id, String cnpj, int quantidade){
		negocio.comprarPeca(id, cnpj, quantidade);
	}
	public void venderPeca(int id, String cnpj, int quantidade){
		negocio.comprarPeca(id, cnpj, quantidade);
	}
	public ColecaoPeca listarPecasMaisVendidas(){
		return negocio.listarPecasMaisVendidas();
	}
	
}
