package Negocio;

import Base.Cliente;
import Base.Fornecedor;
import Base.Peca;
import Base.Usuario;
import Colecao.ColecaoPeca;
import Excecoes.Excecao;

public class Negocio {
	
	NegocioCliente negocio_cliente;
	NegocioPeca negocio_peca;
	NegocioUsuario negocio_usuario;
	NegocioFornecedor negocio_fornecedor;
	
	
	public Negocio(NegocioCliente negocio_cliente, NegocioPeca negocio_peca,
			NegocioUsuario negocio_usuario, NegocioFornecedor negocio_fornecedor) {
		
		this.negocio_cliente = negocio_cliente;
		this.negocio_peca = negocio_peca;
		this.negocio_usuario = negocio_usuario;
		this.negocio_fornecedor = negocio_fornecedor;
	}
	public void efetuarLogin(String login, String senha) throws Excecao{
		this.negocio_usuario.efetuarLogin(login, senha);
	}
	public void alterarSenha(String login, String senha, String senha_nova) throws Excecao{
		this.negocio_usuario.alterarSenha(login, senha, senha_nova);
	}
	public void cadastrarUsuario(String login, String senha, String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String dataNasc, int tipo) throws Excecao{
		this.negocio_usuario.cadastrarUsuario(login, senha, nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc, tipo);
	}
	public void cadastrarCliente(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String dataNasc) throws Excecao{
		this.negocio_cliente.cadastrarCliente(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc);
	}
	public void cadastrarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String marca) throws Excecao{
		this.negocio_fornecedor.cadastrarCliente(nome, cnpj, cidade, bairro, rua, numero, cep, telefone,
				marca);
	}
	public void cadastrarPeca(String peca, String localizacao, int quantidade, double preco){
		this.negocio_peca.cadastrarPeca(peca, localizacao, quantidade, preco);
	}
	public void removerUsuario(String cpf_cnpj){
		this.negocio_usuario.removerUsuario(cpf_cnpj);
	}
	public void removerCliente(String cpf){
		this.negocio_cliente.removerCliente(cpf);
	}
	public void removerFornecedor(String cnpj){
		this.negocio_fornecedor.removerFornecedor(cnpj);
	}
	public void removerPeca(int id){
		this.negocio_peca.removerPeca(id);
	}
	public void atualizarUsuario(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String dataNasc, int tipo){
		this.negocio_usuario.atualizarUsuario(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
				dataNasc, tipo);
	}
	public void atualizarCliente(String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String dataNasc){
		this.negocio_cliente.atualizarCliente(nome, cpf, cidade, bairro, rua, numero, cep, telefone,
		dataNasc);
	}
	public void atualizarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String marca){
		this.negocio_fornecedor.atualizarFornecedor(nome, cnpj, cidade, bairro, rua, numero, cep, telefone,
				marca);
	}
	public void atualizarPeca(String peca, String localizacao, int quantidade, double preco){
		this.negocio_peca.atualizarPeca(peca, localizacao, quantidade, preco);
	}
	public Usuario consultarUsuario(String cpf){
		return this.negocio_usuario.consultarUsuario(cpf);
	}
	public Cliente consultarCliente(String cpf_cnpj){
		return this.negocio_cliente.consultarCliente(cpf_cnpj);
	}
	public Fornecedor consultarFornecedor(String cnpj){
		return this.negocio_fornecedor.consultarFornecedor(cnpj);
	}
	public Peca consultarPeca(int id){
		return this.negocio_peca.consultarPeca(id);
	}
	public void comprarPeca(int id, String cnpj, int quantidade){
		this.negocio_peca.comprarPeca(id, cnpj, quantidade);
	}
	public void venderPeca(int id, String cnpj, int quantidade){
		this.negocio_peca.comprarPeca(id, cnpj, quantidade);
	}
	public ColecaoPeca listarPecasMaisVendidas(){
		return this.negocio_peca.listarPecasMaisVendidas();
	}
	
}

}
